Hi Rik-

I updated my system last night, and found bad/choppy graphical
performance again this morning. I don't know whether it's the same
issue, but 'apt full-upgrade' would do the following, and I haven't yet
had the chance to narrow anything down:

"""
root@isomorphic:~# apt full-upgrade
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Calculating upgrade... Done
The following NEW packages will be installed:
  libegl1 libgdbm-compat4 libglvnd0
The following packages have been kept back:
  mp3splt
The following packages will be upgraded:
  debconf debconf-i18n default-jre default-jre-headless file
fonts-mathjax java-common
  language-pack-en libjavascriptcoregtk-4.0-18 libjs-mathjax
libkf5contacts-data
  libkf5contacts5 libkf5kdelibs4support-data libkf5kdelibs4support5
libkf5kdelibs4support5-bin
  libkf5plasma5 libkf5plasmaquick5 libmagic-mgc libmagic1 libmirclient9
libmircommon7
  libmircore1 libmirprotobuf3 libperl5.26 libseccomp2 libsnmp-base
libsnmp30 libsort-key-perl
  libtcl8.6 libwebkit2gtk-4.0-37 libwebkit2gtk-4.0-37-gtk2
linux-firmware mlocate perl
  perl-base perl-modules-5.26 plasma-framework python3-software-properties
  python3-update-manager python3-xapian signal-desktop
software-properties-common
  software-properties-kde tcl8.6 ucf unattended-upgrades
update-manager-core vim vim-common
  vim-runtime vim-tiny xserver-common xserver-xorg-core
xserver-xorg-legacy xxd
55 upgraded, 3 newly installed, 0 to remove and 1 not upgraded.
"""

When I have some time, I'll see which packages are pulling in 'libegl1'
and 'libglvnd0'.

Thank you,
MMR...

On 2018-02-24 02:50, Rik Mills wrote:
> Yes, I uploaded a new version of kinfocenter which does not pull in the
> 2 packages I mentioned, at least until we get newer versions that work
> ok with the rest of our latest builds.
>
> So any fresh install should not get them, and any existing install
> should have them be removable or auto-removable with any moans.
>
> On 24/02/18 01:11, Matt Ruffalo wrote:
>> Hi Rik-
>>
>> Thank you very much for the advice. I fully updated my system again,
>> with no packages held back, rebooted, and was happy to try removing the
>> two packages you mentioned.
>>
>> I was pleasantly surprised that I seem to have full performance with
>> graphical effects, so apparently some package update in the last 12-ish
>> hours has fixed this issue.
>>
>> I attempted to remove the two packages you mentioned, to give you better
>> feedback, but I found that I don't have any package installed with the
>> prefix "libglv" -- I'm typing "apt remove libglv" and tab-completion
>> isn't suggesting any installed packages.
>>
>> I likewise do not have a package "libegl1" installed, but 'apt remove'
>> tab completion suggested 'libegl1-mesa', and I'm guessing that removing
>> this would have a lot of side effects:
>>
>> """
>> root@isomorphic:~# apt remove libegl1-mesa
>> Reading package lists... Done
>> Building dependency tree      
>> Reading state information... Done
>> The following packages were automatically installed and are no longer
>> required:
>>   chromium-codecs-ffmpeg-extra geoip-database-extra gir1.2-polkit-1.0
>> gir1.2-secret-1
>>   kdegames-card-data-kf5 libaribb24-0 libbasicusageenvironment1 libcddb2
>> libcfitsio5
>>   libdc1394-22 libdmtx0a libdvbpsi10 libebml4v5 libeditorconfig0
>> libgee-0.8-2 libgit2-26
>>   libgps23 libgroupsock8 libhttp-parser2.7.1 libjavascriptcoregtk-4.0-18
>> libjs-openlayers
>>   libkate1 libkf5akonadicalendar-data libkf5alarmcalendar-data
>> libkf5calendarutils-data
>>   libkf5cddb-data libkf5compactdisc-data libkf5contacteditor-data
>> libkf5grantleetheme-data
>>   libkf5gravatar-data libkf5identitymanagement-data libkf5imap-data
>> libkf5jsapi5
>>   libkf5kdegames-data libkf5ldap-data libkf5pimtextedit-data libkf5sane-data
>>   libkf5syntaxhighlighting-data libkf5tnef-data liblivemedia62
>> liblua5.2-0 libmatroska6v5
>>   libmicrodns0 libmjpegutils-2.1-0 libnfs8 libokteta-data
>> libokteta2core2 libopencore-amrnb0
>>   libopencore-amrwb0 libopenmpt-modplug1 libpackagekitqt5-1 libplacebo3
>> libproxy-tools
>>   libqgpgme7 libqrencode3 libqt5sensors5 libqt5texttospeech5 libquicktime2
>>   libresid-builder0c2a libsdl-image1.2 libsidplay2 libsmi2ldbl
>> libsox-fmt-alsa libsox-fmt-base
>>   libsox3 libspandsp2 libspectre1 libupnp6 libusageenvironment3
>> libva-wayland2 libvlc-bin
>>   libvlc5 libvlccore9 libvulkan1 libwireshark-data libwireshark10
>> libwiretap7 libwscodecs1
>>   libwsutil8 libxcb-xv0 libxfont2 pulseaudio-module-gconf sox transcode
>> transcode-doc twolame
>>   vlc-bin vlc-data vlc-l10n vlc-plugin-base vlc-plugin-samba
>> vlc-plugin-video-splitter
>>   vlc-plugin-visualization wireshark-common xserver-xorg-legacy
>> zenity-common
>> Use 'apt autoremove' to remove them.
>> The following additional packages will be installed:
>>   libportaudio2
>> The following packages will be REMOVED:
>>   amarok amarok-utils apport-kde apturl-kde ark baloo-kf5 bluedevil
>> breeze chromium-browser
>>   chromium-browser-l10n dolphin dolphin-plugins drkonqi ffmpeg
>> ffmpegthumbs firefox
>>   frameworkintegration gir1.2-gtk-3.0 gstreamer-qapt gwenview k3b k3b-i18n
>>   kaccounts-integration kaccounts-providers kactivitymanagerd kamera
>> kate kcalc kcharselect
>>   kde-baseapps-bin kde-cli-tools kde-config-gtk-style
>> kde-config-gtk-style-preview
>>   kde-config-mailtransport kde-config-screenlocker kde-config-sddm
>>   kde-config-telepathy-accounts kde-config-whoopsie kde-runtime
>> kde-spectacle kde-style-breeze
>>   kde-style-breeze-qt4 kde-style-oxygen-qt5 kde-style-qtcurve-qt5
>> kde-telepathy
>>   kde-telepathy-approver kde-telepathy-auth-handler
>> kde-telepathy-contact-list
>>   kde-telepathy-desktop-applets kde-telepathy-filetransfer-handler
>>   kde-telepathy-integration-module kde-telepathy-kaccounts
>> kde-telepathy-kpeople
>>   kde-telepathy-minimal kde-telepathy-send-file kde-telepathy-text-ui
>> kdeconnect
>>   kdeconnect-plasma kded5 kdegraphics-thumbnailers kdemultimedia-kio-plugins
>>   kdenetwork-filesharing kdesdk-dolphin-plugins kdesudo kgamma5
>> khelpcenter khotkeys kile
>>   kimageformat-plugins kinfocenter kinit kio kio-audiocd kio-extras
>> kio-ldap kio-sieve
>>   kio-smtp kmenuedit kmines konsole konsole-kpart konversation
>> kpackagelauncherqml kpat krdc
>>   kross kscreen ksshaskpass ksysguard ksystemlog ktexteditor-katepart
>> ktnef ktorrent
>>   kubuntu-driver-manager kubuntu-notification-helper kwalletmanager
>> kwayland-integration kwin
>>   kwin-addons kwin-common kwin-style-breeze kwin-x11 kwrited
>> language-pack-kde-en
>>   libavdevice57 libcolorcorrect5 libdbusmenu-qt5-2 libdebconf-kde1
>> libegl1-mesa
>>   libgrantlee-textdocument5 libgtk-3-0 libgtk-3-bin libk3b7
>> libk3b7-extracodecs libkaccounts1
>>   libkasten3controllers3 libkasten3core3 libkasten3gui3
>> libkasten3okteta1controllers1
>>   libkasten3okteta1core1 libkasten3okteta1gui1 libkdecorations2-5v5
>> libkdecorations2private5v5
>>   libkf5akonadiagentbase5 libkf5akonadicalendar5abi1
>> libkf5akonadicontact5abi1
>>   libkf5akonadicore-bin libkf5akonadicore5abi1 libkf5akonadimime5
>> libkf5akonadisearchdebug5
>>   libkf5akonadisearchpim5 libkf5akonadiwidgets5 libkf5alarmcalendar5
>> libkf5auth5 libkf5baloo5
>>   libkf5baloowidgets-bin libkf5baloowidgets-data libkf5baloowidgets5
>> libkf5bookmarks5
>>   libkf5calendarcore5 libkf5calendarutils-bin libkf5calendarutils5
>> libkf5cddb5
>>   libkf5compactdisc5 libkf5completion5 libkf5configgui5 libkf5configwidgets5
>>   libkf5contacteditor5 libkf5contacts5 libkf5crash5 libkf5dbusaddons5
>> libkf5declarative5
>>   libkf5emoticons-bin libkf5emoticons5 libkf5filemetadata-bin
>> libkf5globalaccel-bin
>>   libkf5globalaccel5 libkf5globalaccelprivate5 libkf5grantleetheme-plugins
>>   libkf5grantleetheme5 libkf5gravatar5 libkf5guiaddons5
>> libkf5iconthemes-bin libkf5iconthemes5
>>   libkf5identitymanagement5abi1 libkf5idletime5 libkf5imap5
>> libkf5itemviews5 libkf5jobwidgets5
>>   libkf5jsembed5 libkf5kaddressbookgrantlee5
>> libkf5kaddressbookimportexport5 libkf5kcmutils5
>>   libkf5kdcraw5 libkf5kdegames7 libkf5kdelibs4support5
>> libkf5kdelibs4support5-bin
>>   libkf5kdgantt2-5 libkf5kexiv2-15.0.0 libkf5khtml-bin libkf5khtml5
>> libkf5kiocore5
>>   libkf5kiofilewidgets5 libkf5kiogui5 libkf5kiowidgets5 libkf5kipi-bin
>> libkf5kipi31.0.0
>>   libkf5kipi32.0.0 libkf5kirigami2-5 libkf5kmanagesieve5
>> libkf5kontactinterface5
>>   libkf5krosscore5 libkf5krossui5 libkf5ksieveui5 libkf5ldap5
>> libkf5libkdepim-plugins
>>   libkf5libkdepim5abi1 libkf5libkdepimakonadi5 libkf5libkleo5
>> libkf5libkleo5abi1
>>   libkf5mailtransport5abi2 libkf5mailtransportakonadi5
>> libkf5messagecore5abi2
>>   libkf5messagelist5abi1 libkf5messageviewer-plugins
>> libkf5messageviewer5abi3
>>   libkf5mimetreeparser5abi1 libkf5newstuff5 libkf5newstuffcore5
>> libkf5notifications5
>>   libkf5notifyconfig5 libkf5parts-plugins libkf5parts5 libkf5people5
>> libkf5peoplewidgets5
>>   libkf5pimcommon-plugins libkf5pimcommon5abi2 libkf5pimcommonakonadi5
>> libkf5pimtextedit5abi1
>>   libkf5pimtextedit5abi2 libkf5plasma5 libkf5plasmaquick5
>> libkf5plotting5 libkf5prison5
>>   libkf5purpose-bin libkf5purpose5 libkf5quickaddons5 libkf5runner5
>> libkf5sane5
>>   libkf5screen-bin libkf5screen7 libkf5service-bin libkf5service5
>> libkf5solid5 libkf5sonnetui5
>>   libkf5style5 libkf5su-bin libkf5su5 libkf5syndication5
>> libkf5syntaxhighlighting5
>>   libkf5sysguard-bin libkf5texteditor5 libkf5textwidgets5 libkf5tnef5
>> libkf5wallet-bin
>>   libkf5wallet5 libkf5waylandclient5 libkf5waylandserver5
>> libkf5webengineviewer5abi3
>>   libkf5webkit5 libkf5widgetsaddons5 libkf5windowsystem5 libkf5xmlgui5
>> libkf5xmlrpcclient5
>>   libkfontinstui5 libkolab1 libkpmcore7 libkscreenlocker5
>> libksignalplotter7 libktorrent-l10n
>>   libktorrent6 libktpcommoninternals9 libktplogger9 libktpmodels9
>> libktpotr9 libktpwidgets9
>>   libkubuntu1 libkwalletbackend5-5 libkwin4-effect-builtins1
>> libkwineffects11 libkwineffects9
>>   libkwinglutils11 libkwinglutils9 libkwinxrenderutils11
>> libkwinxrenderutils9 libkworkspace5-5
>>   libokteta2gui2 libokular5core7 liboxygenstyle5-5
>> liboxygenstyleconfig5-5 libphonon4qt5-4
>>   libpolkit-qt5-1-1 libpoppler-qt5-1 libpowerdevilcore2 libprocessui7
>> libqapt3-runtime
>>   libqgsttools-p1 libqmobipocket2 libqt5designer5
>> libqt5designercomponents5 libqt5gui5
>>   libqt5help5 libqt5multimedia5 libqt5multimedia5-plugins
>> libqt5multimediaquick-p5
>>   libqt5multimediawidgets5 libqt5opengl5 libqt5printsupport5 libqt5quick5
>>   libqt5quickcontrols2-5 libqt5quicktemplates2-5 libqt5quickwidgets5
>> libqt5svg5
>>   libqt5waylandclient5 libqt5waylandcompositor5 libqt5webengine5
>> libqt5webenginecore5
>>   libqt5webenginewidgets5 libqt5webkit5 libqt5widgets5 libqt5x11extras5
>>   libreoffice-avmedia-backend-gstreamer libreoffice-kde libscim8v5
>> libsdl2-2.0-0
>>   libtaskmanager6 libwayland-egl1-mesa libweather-ion7 libwebkit2gtk-4.0-37
>>   libwebkit2gtk-4.0-37-gtk2 mednaffe milou okteta okular partitionmanager
>>   pdf-presenter-console phonon4qt5 phonon4qt5-backend-gstreamer
>> pim-sieve-editor pinentry-qt
>>   plasma-dataengines-addons plasma-desktop plasma-discover
>> plasma-framework plasma-integration
>>   plasma-nm plasma-pa plasma-runner-telepathy-contact plasma-runners-addons
>>   plasma-wallpapers-addons plasma-widgets-addons plasma-workspace
>> polkit-kde-agent-1
>>   powerdevil print-manager python3-pykde4 python3-pyqt5 qapt-batch
>> qapt-deb-installer
>>   qml-module-org-kde-activities qml-module-org-kde-draganddrop
>>   qml-module-org-kde-extensionplugin qml-module-org-kde-kcm
>> qml-module-org-kde-kconfig
>>   qml-module-org-kde-kcoreaddons qml-module-org-kde-kholidays
>> qml-module-org-kde-kio
>>   qml-module-org-kde-kirigami qml-module-org-kde-kirigami2
>> qml-module-org-kde-kquickcontrols
>>   qml-module-org-kde-kquickcontrolsaddons qml-module-org-kde-kwindowsystem
>>   qml-module-org-kde-people qml-module-org-kde-purpose
>> qml-module-org-kde-qqc2desktopstyle
>>   qml-module-org-kde-runnermodel qml-module-org-kde-solid
>> qml-module-org-kde-telepathy
>>   qml-module-qtgraphicaleffects qml-module-qtmultimedia
>> qml-module-qtquick-controls
>>   qml-module-qtquick-controls-styles-breeze qml-module-qtquick-controls2
>>   qml-module-qtquick-dialogs qml-module-qtquick-layouts
>> qml-module-qtquick-privatewidgets
>>   qml-module-qtquick-templates2 qml-module-qtquick-virtualkeyboard
>> qml-module-qtquick-window2
>>   qml-module-qtquick2 qml-module-qtwebengine qml-module-qtwebkit
>>   qml-module-ubuntu-onlineaccounts qt5-gtk-platformtheme
>> qt5-image-formats-plugins
>>   qtdeclarative5-qtquick2-plugin qtspeech5-flite-plugin qttools5-dev-tools
>>   qtvirtualkeyboard-plugin qtwayland5 rekonq sddm sddm-theme-breeze
>> signon-kwallet-extension
>>   signon-ui signon-ui-x11 skanlite software-properties-kde
>> system-config-printer
>>   system-config-printer-common systemsettings thunderbird
>> ubuntu-release-upgrader-qt
>>   user-manager vlc vlc-plugin-notify vlc-plugin-qt vlc-plugin-skins2
>> vlc-plugin-video-output
>>   wireshark wireshark-qt xorg xserver-xorg xserver-xorg-core
>> xserver-xorg-input-all
>>   xserver-xorg-input-libinput xserver-xorg-input-synaptics
>> xserver-xorg-input-wacom
>>   xserver-xorg-video-all xserver-xorg-video-amdgpu xserver-xorg-video-ati
>>   xserver-xorg-video-fbdev xserver-xorg-video-intel
>> xserver-xorg-video-nouveau
>>   xserver-xorg-video-qxl xserver-xorg-video-radeon xserver-xorg-video-vesa
>>   xserver-xorg-video-vmware zenity
>> The following NEW packages will be installed:
>>   libportaudio2
>> 0 upgraded, 1 newly installed, 429 to remove and 1 not upgraded.
>> Need to get 64.6 kB of archives.
>> After this operation, 1,348 MB disk space will be freed.
>> """
>>
>> In any case, things seem fine now. Sorry to raise an issue about a
>> transient problem that worked itself out, but it's hard to tell ahead of
>> time whether something is very specific to certain video hardware (and
>> might not be noticed if no Kubuntu developers are using the same
>> hardware), or whether it's a widespread issue that will be noticed and
>> fixed quickly.
>>
>> Thanks again,
>> MMR...
>>
>> On 2018-02-23 14:36, Rik Mills wrote:
>>> Investigating on a Kabylake Intel with a live system.
>>>
>>> Removing libegl1 libglvnd0 seems to get me go back to full hardware
>>> driven opengl, whereas with them it was llvmpipe only.
>>>
>>> Those are new packages being pulled in by kinfocentre building against
>>> new things in -proposed pocket.
>>>
>>> Can you confirm that removing them solves your issue?
>


-- 
kubuntu-devel mailing list
kubuntu-devel@lists.ubuntu.com
Modify settings or unsubscribe at: 
https://lists.ubuntu.com/mailman/listinfo/kubuntu-devel

Reply via email to